Download as xls, pdf, or txt
Download as xls, pdf, or txt
You are on page 1of 4

Tank Shell Developed Length

Tank inn. Dia (mm ): 42672 (Setvar "Cmdecho" 0)


Shell Plate Thickness (mm) : 21 (terpri)
Shell Plate Wide (mm) : 8000 (defun c:LSD()
;;princ "\nStart Command with
42693 (setq e(getreal "Tank inn. Dia (
Shell Developed (Length) 134124 (setq g(getreal "Shell Plate Thi
65.973445725 (setq m(getreal "Shell Plate Wi
Shell Developed (Dia.) 42738 (setq a(+ g e))
Number of Plates 17 (SETQ c(* pi a))
(setq d(* pi g))
(setq n(+ d e))
(setq i(rtos c))
(setq k(/ c m))

Plate weight (terpri)


Plate Thickness 21 (setq e(getreal "Plate Thicknes
Plate Quantity 14 (setq g(getreal "Plate Quantity:
Plate Width 8000 (princ "\nStart Command with W
Plate Height 2000 (defun c:Wt()
Area 16000000 ;(setq e(getreal "Plate Thicknes
16000 ;(setq g(getreal "Plate Quantity
16 (setq b(entsel "select"))
66 (command "area" "o" b)
1055.5751316 (setq a(getvar "area"))
1077 (setq c(/ a 1000))
15072 (setq d(/ c 1000))
(SETQ i(* 7.85 e))
(setq f(* d i))
(setq h(* f g))

Degree to Length
Degree of Arc. (mm): 15.25 (Setvar "Cmdecho" 0)
Radius of Arc. (mm): 22221 (terpri)
Length of ARC 5914.4015996 (defun c:DTL()
;;(princ "\nStart Command with
(setq e(getreal "Degree of Arc.
Length of Degree (setq g(getreal "Radius of Arc.
Length of Arc. (mm): 5795 (setq a(* e g))
Radius of Arc. (mm): 22221 (SETQ b(/ a 180))
Degree of ARC 14.94212872 (setq c(* b 3.14159265358979
(setq i(rtos c))
(Setq f(Getreal "\nEnter text he
(Setq h(Getreal "\nText rotation
(If
(= h nil)
(Setq h 0)
)
(Setq j(Getpoint "\nLocation of
(Command "Text" j f h i)
(strcat "Length of ARC =" i )

Tank Volum (m3)


Tank Dia (Dia.) : m 47 2209
Tank Height (Ht.) : m 28
Volum of Tank : m 48578.45 (m3)

Tank to Tank Distance


1st Tank Dia. : m 55 110
2nd Tank Dia. : m 28 56
Distance b/w Tanks m 18.3
(Setvar "Cmdecho" 0)

(defun c:LSD()
;;princ "\nStart Command with LSD")
(setq e(getreal "Tank inn. Dia (mm): "))(terpri)
(setq g(getreal "Shell Plate Thickness (mm): "))(terpri)
(setq m(getreal "Shell Plate Wide (mm): "))(terpri)
(setq a(+ g e))
(SETQ c(* pi a))
(setq d(* pi g))
(setq n(+ d e))
(setq i(rtos c))
(setq k(/ c m))

(setq e(getreal "Plate Thickness: "))(terpri)


(setq g(getreal "Plate Quantity: "))(terpri)
(princ "\nStart Command with WT or PT OR PQ for new value ")
(defun c:Wt()
;(setq e(getreal "Plate Thickness: "))
;(setq g(getreal "Plate Quantity: "))
(setq b(entsel "select"))
(command "area" "o" b)
(setq a(getvar "area"))
(setq c(/ a 1000))
(setq d(/ c 1000))
(SETQ i(* 7.85 e))
(setq f(* d i))
(setq h(* f g))

(Setvar "Cmdecho" 0)

(defun c:DTL()
;;(princ "\nStart Command with DTL")
(setq e(getreal "Degree of Arc. (mm): "))(terpri)
(setq g(getreal "Radius of Arc. (mm): "))(terpri)
(setq a(* e g))
(SETQ b(/ a 180))
(setq c(* b 3.1415926535897932384626433832795))
(setq i(rtos c))
(Setq f(Getreal "\nEnter text height: "))
(Setq h(Getreal "\nText rotation <0>: " ))

(Setq h 0)

(Setq j(Getpoint "\nLocation of number: "))


(Command "Text" j f h i)
(strcat "Length of ARC =" i )

You might also like